<!DOCTYPE html>
<html lang="es-ES">
    <head>
        <meta charset="UTF-8">
        <!-- Meta responsive tag -->
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <!-- Meta author tag -->
        <meta name="author" content="Dragos C. Butnariu">
        <!--Bootstrap Styles -->
        <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css" integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">
        <!--AOS Styles-->
        <link href="https://unpkg.com/aos@2.3.1/dist/aos.css" rel="stylesheet">
        <title>Ejercicio Dragos</title>
    </head>
    <!--Personal styles-->
    <style>
        .bg-purple {
            background: #C43CD3;
        }
        .bg-orange {
            background: #FA7D08;
        }
        .bg-light {
            background: #DAD5D5;
        }
        .bg-brown {
            background: #7F3114;
        }
        .bg-body {
            background-image: url("media/stripes-light.png");
            background-repeat: repeat;
        }
    </style>
    <body class="bg-body">
        <!--Navbar-->
        <nav class="navbar navbar-expand-lg navbar-dark bg-primary sticky-top mb-5">
            <a class="navbar-brand" href="#">NAVEGACIÓN</a>
            <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
                <span class="navbar-toggler-icon"></span>
            </button>
            <div class="collapse navbar-collapse" id="navbarNav">
                <ul class="navbar-nav" data-spy="scroll">
                    <li class="nav-item active">
                        <a class="nav-link" href="#cabecera">Cabecera</a>
                    </li>
                    <li class="nav-item active">
                        <a class="nav-link" href="#horario">Horario</a>
                    </li>
                    <li class="nav-item active">
                        <a class="nav-link" href="#enlaces">Enlaces</a>
                    </li> 
                    <li class="nav-item active">
                        <a href="#imagen" class="nav-link">Imagen</a>
                    </li>
                    <li class="nav-item active">
                        <a class="nav-link" href="#vexterno">Video Externo</a>
                    </li>
                    <li class="nav-item active">
                        <a class="nav-link" href="#vlocal">Video Local</a>
                    </li>      
                </ul>
            </div>
        </nav>
        <!--Header-->
        <div class="container mb-5 mt-5"  id="cabecera">
            <div class="row">
                <div class="col-12">
                    <h1>
                        Ejercicio Práctico Dragos C. Butnariu
                    </h1>
                    <h2 class="mt-5">
                        Elección de herramienta <span class="font-weight-bold"> CASE:</span>
                    </h2>
                    <p class="text-justify">
                    He elegido como editor de texto <span class="font-weight-bold"> <a href="https://www.sublimetext.com/" target="blank">Sublime Text</a></span> ya que para desarrollo web Front-End tiene la posibilidad de instalar una gran cantidad de plugins, y como esquema de color en el editor he utilizado <span class="text-monospace">Monokai</span>
                    </p>
                    <h3 class="mt-5">
                        Plugins Utilizados
                    </h3>
                    <ol>
                        <li>
                            <a href="https://packagecontrol.io/packages/HTML5" target="blank">HTML5</a>
                        </li>
                        <li>
                            <a href="https://packagecontrol.io/packages/Emmet" target="blank">Emmet</a>
                        </li>
                        <li>
                            <a href="https://packagecontrol.io/packages/Bootstrap%204%20Snippets" target="blank">Bootstrap 4 Snippets</a>
                        </li>
                        <li>
                            <a href="https://packagecontrol.io/packages/Bootstrap%204%20Autocomplete" target="blank">Bootstrap 4 Autocomplete</a>
                        </li>
                    </ol>
                    <h4 class="mt-5">
                        Framework CSS
                    </h4>
                    <p>
                    También he decidido utilizar el framework de estilos <a href="https://getbootstrap.com/" target="blank">Bootstrap</a>  ya que tengo experiencia con HTML/CSS y este framework está creado para que la web en el cliente sea responsive. 
                    </p>
                    <p>
                    Este framework hace uso de la librería de JavaScript <a href="https://jquery.com/" target="blank">jQuery</a> y también tiene su propia librería.
                    </p>
                    <h5 class="mt-5">
                        Librería JS
                    </h5>
                    <p>
                    También he utilizado una librería muy simple de JavaScript llamada <a href="https://michalsnik.github.io/aos/" target="blan">Animate on Scroll</a>  y lo que hace es animar diferentes etiquetas cuando se hace scroll. 
                    </p>
                    <p>
                    En mi caso he animado los elementos como el horario, las imagenes, los videos y más.
                    </p>
                </div>
            </div>	
        </div>
        <!--Time Schedule-->
        <!--Title for time schedule-->
        <div class="container mt-5" id="horario">
            <div class="row">
                <div class="col-12 text-justify">

                    <div class="alert alert-info shadow " data-aos="zoom-out-down">
                        <h4>
                            Horario 2019 / 2020
                        </h4>
                        <hr>
                        <h5>
                            Grado Superior <span class="font-weight-bold"> Desarrollo Aplicaciones Multiplataforma</span>
                        </h5>
                        <hr>
                        <h5>Tutor: <span class="font-weight-bold">José María González</span></h5>
                        <hr>
                        <h5>Curso: <span class="font-weight-bold">3ºD</span></h5>
                    </div>
                    <!--Table time schedule-->
                    <div class="table-sm table-responsive" data-aos="zoom-out-up">
                        <table class="table table-bordered text-center shadow-sm">
                            <thead>
                                <tr class="text-dark bg-light">
                                    <th scope="col" class="text-uppercase">
                                        <h4>
                                            horas
                                        </h4>
                                    </th>
                                    <th scope="col" class="text-uppercase">
                                        <h4>
                                            lunes
                                        </h4>
                                    </th>
                                    <th scope="col" class="text-uppercase">
                                        <h4>
                                            martes
                                        </h4>
                                    </th>
                                    <th scope="col" class="text-uppercase">
                                        <h4>
                                            miercoles
                                        </h4>
                                    </th>
                                    <th scope="col" class="text-uppercase">
                                        <h4>
                                            jueves
                                        </h4>
                                    </th>
                                    <th scope="col" class="text-uppercase">
                                        <h4>
                                            viernes
                                        </h4>
                                    </th>
                                </tr>
                            </thead>
                            <tbody>
                                <tr>
                                    <th class="align-middle text-monospace text-dark bg-light">
                                        <h4>
                                            08:30
                                        </h4>
                                        <h4>
                                            09:40
                                        </h4>
                                    </th>
                                    <td class="align-middle text-light bg-danger">
                                        <h4 class="text-monospace">
                                            Bases de Datos
                                        </h4>
                                        Fernando de la Mata
                                    </td>
                                    <td rowspan="3" class="text-light bg-success align-middle">
                                        <h4 class="text-monospace">
                                            Programación
                                        </h4>
                                        José María González
                                    </td>
                                    <td rowspan="2" class="align-middle text-light bg-brown">
                                        <h4 class="text-monospace">
                                            Inglés Técnico
                                        </h4>
                                        Carlos Pareja
                                    </td>
                                    <td class="align-middle text-light bg-purple">
                                        <h4 class="text-monospace">
                                            Lenguajes de Marcas
                                        </h4>
                                        José Luís Álvarez
                                    </td>
                                    <td class="align-middle text-light bg-info">
                                        <h4 class="text-monospace">
                                            Empresa e Iniciativa Emprendedora
                                        </h4>
                                        María Jose Tello
                                    </td>
                                </tr>
                                <tr>
                                    <th class="align-middle text-monospace text-dark bg-light">
                                        <h4>
                                            09:40
                                        </h4>
                                        <h4>
                                            10:35
                                        </h4>
                                    </th>
                                    <td rowspan="2" class="align-middle text-light bg-success">
                                        <h4 class="text-monospace">
                                            Programación
                                        </h4>
                                        José María González
                                    </td>
                                    <td rowspan="2" class="align-middle text-light bg-success">
                                        <h4 class="text-monospace">
                                            Programación
                                        </h4>
                                        José María González
                                    </td>
                                    <td rowspan="2" class="align-middle text-light bg-orange">
                                        <h4 class="text-monospace">
                                            Entornos de Desarrollo
                                        </h4>
                                        Guillermo López
                                    </td>
                                </tr>
                                <tr>
                                    <th class="align-middle text-monospace text-dark bg-light">
                                        <h4>
                                            10:35
                                        </h4>
                                        <h4>
                                            11:30
                                        </h4>
                                    </th>
                                    <td class="align-middle text-light bg-danger">
                                        <h4 class="text-monospace">
                                            Bases de Datos
                                        </h4>
                                        Fernando de la Mata
                                    </td>
                                </tr>
                                <tr>
                                    <th class="align-middle text-monospace text-dark bg-light">
                                        <h4>
                                            11:30
                                        </h4>
                                        <h4>
                                            11:55
                                        </h4>
                                    </th>
                                    <td colspan="5" class="align-middle text-dark bg-light">
                                        <h4 class="text-monospace text-uppercase font-weight-bold">
                                            recreo
                                        </h4>
                                    </td>
                                </tr>
                                <tr>
                                    <th class="align-middle text-monospace text-dark bg-light">
                                        <h4>
                                            11:55
                                        </h4>
                                        <h4>
                                            12:45
                                        </h4>
                                    </th>
                                    <td rowspan="3" class="align-middle bg-primary text-light">
                                        <h4 class="text-monospace">
                                            Sistemas Informáticos
                                        </h4>
                                        Sergio Ruiz
                                    </td>
                                    <td class="align-middle text-light bg-danger">
                                        <h4 class="text-monospace">
                                            Bases de Datos
                                        </h4>
                                        Fernando de la Mata
                                    </td>
                                    <td class="align-middle text-dark bg-warning">
                                        <h4 class="text-monospace">
                                            Formación y Orientación Laboral
                                        </h4>
                                        Blanca Rojas
                                    </td>
                                    <td class="align-middle text-light bg-info">
                                        <h4 class="text-monospace">
                                            Empresa e Iniciativa Emprendedora
                                        </h4>
                                        María Jose Tello
                                    </td>
                                    <td class="align-middle text-light bg-purple">
                                        <h4 class="text-monospace">
                                            Lenguajes de Marcas
                                        </h4>
                                        José Luís Álvarez
                                    </td>
                                </tr>
                                <tr>
                                    <th class="align-middle text-monospace text-dark bg-light">
                                        <h4>
                                            12:45
                                        </h4>
                                        <h4>
                                            13:35
                                        </h4>
                                    </th>
                                    <td class="align-middle text-light bg-purple">
                                        <h4 class="text-monospace">
                                            Lenguajes de Marcas
                                        </h4>
                                        José Luís Álvarez
                                    </td>
                                    <td class="align-middle text-light bg-success">
                                        <h4 class="text-monospace">
                                            Programación
                                        </h4>
                                        José María González
                                    </td>
                                    <td rowspan="2" class="align-middle text-dark bg-warning">
                                        <h4 class="text-monospace">
                                            Formación y Orientación Laboral
                                        </h4>
                                        Blanca Rojas
                                    </td>
                                    <td rowspan="2" class="align-middle text-light bg-danger">
                                        <h4 class="text-monospace">
                                            Bases de Datos
                                        </h4>
                                        Fernando de la Mata
                                    </td>
                                </tr>
                                <tr>
                                    <th class="align-middle text-monospace text-dark bg-light">
                                        <h4>
                                            13:35
                                        </h4>
                                        <h4>
                                            14:30
                                        </h4>
                                    </th>
                                    <td rowspan="2" class="align-middle text-light bg-orange">
                                        <h4 class="text-monospace">
                                            Entornos de Desarrollo
                                        </h4>
                                        Guillermo López
                                    </td>
                                    <td class="align-middle bg-primary text-light">
                                        <h4 class="text-monospace">
                                            Sistemas Informáticos
                                        </h4>
                                        Sergio Ruiz
                                    </td>
                                </tr> 
                            </tbody>
                        </table>
                    </div>

                </div>
            </div>
        </div>
        <!-- Links to other webs-->
        <div class="container mt-5" id="enlaces">
            <div class="row">
                <div class="col-12">
                    <h2>
                        Buenas webs para aprender desarrollo web
                    </h2>
                    <div class="list-group mb-5 shadow"  data-aos="zoom-out-up" data-aos-duration="500">
                        <a href="https://www.w3schools.com/html/" target="blank" class="list-group-item list-group-item-action list-group-item-info">
                            <h4>
                                w3schools
                            </h4>
                        </a>
                        <a href="https://www.freecodecamp.org/" target="blank" class="list-group-item list-group-item-action list-group-item-info">
                            <h4>
                                freeCodeCamp
                            </h4>
                        </a>
                        <a href="https://www.tutorialspoint.com/html/index.htm" target="blank" class="list-group-item list-group-item-action list-group-item-info">
                            <h4>
                                tutorialspoint
                            </h4>
                        </a>
                    </div>
                </div>
            </div>
        </div>
        <!--Images-->
        <div class="container" id="imagen">
            <div class="row">
                <div class="col-12">
                    <h2>
                        Imágenes
                    </h2>
                </div>
                <div class="col-6">
                    <div class="card shadow" data-aos="fade-right" data-aos-duration="1000">
                        <img src="media/debian.jpg" alt="debian wallpaper" class="img-fluid">
                        <div class="card-body">
                            <p class="card-text">Fondo pantalla de la distribución Debian.
                            <p>
                            Fuente: <a href="https://wall.alphacoders.com/big.php?i=520598" target="blank">WallpaperAbyss</a>
                            </p>
                            </p>
                        </div>
                    </div>
                </div>
                <div class="col-6 ">
                    <div class="card shadow" data-aos="fade-left" data-aos-duration="1000">
                        <img src="media/kali.png" alt="kali wallpaper" class="img-fluid">
                        <div class="card-body">
                            <p class="card-text">
                            Fondo pantalla de la distribución basada en Debian enfocada a la seguridad informática, Kali Linux
                            <p>
                            Fuente: <a href="https://wall.alphacoders.com/big.php?i=456423" target="blank">WallpaperAbyss</a>
                            </p>
                            </p>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!--Videos, youtube and localhost-->
        <div class="container mt-5 mb-5">
            <div class="row">
                <div class="col-12">
                    <h2>
                        Videos
                    </h2>
                    <h3 id="vexterno">Video de web externa (Youtube)</h3>
                    <p>El video es de un profesor de electrónica llamado Fernando, tiene videos muy interesantes.</p>
                    <div class="embed-responsive embed-responsive-16by9 mb-5 shadow" data-aos="zoom-in">
                        <iframe class="embed-responsive-item " src="https://www.youtube.com/embed/MSCCc-BAeUk?controls=0" allowfullscreen></iframe>
                    </div>
                    <h3 id="vlocal">Video en Local</h3>
                    <p>
                    El siguiente video trata sobre lo que promueve Richard Stallman en español, creado por Vodafone One
                    </p>
                    <div class="embed-responsive embed-responsive-16by9 mb-5 shadow" data-aos="zoom-out">
                        <video class="embed-responsive-item" src="media/richards.mp4" type="video/mp4" controls allowfullscreen></video>
                    </div>
                </div>
                <!--Scripts for Bootstrap-->
                <script src="https://code.jquery.com/jquery-3.4.1.slim.min.js" integrity="sha384-J6qa4849blE2+poT4WnyKhv5vZF5SrPo0iEjwBvKU7imGFAV0wwj1yYfoRSJoZ+n" crossorigin="anonymous"></script>
                <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.0/dist/umd/popper.min.js" integrity="sha384-Q6E9RHvbIyZFJoft+2mJbHaEWldlvI9IOYy5n3zV9zzTtmI3UksdQRVvoxMfooAo" crossorigin="anonymous"></script>
                <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/js/bootstrap.min.js" integrity="sha384-wfSDF2E50Y2D1uUdj0O3uMBJnjuUD4Ih7YwaYd1iqfktj0Uod8GCExl3Og8ifwB6" crossorigin="anonymous"></script>
                <!--Animate on Scroll Script-->
                <script src="https://unpkg.com/aos@2.3.1/dist/aos.js"></script>
                <!--AOS init-->
                <script>
                    AOS.init();
                </script>
    </body>
</html>
